Bug 89960 - [softpipe] piglit copy-pixels regreession
Summary: [softpipe] piglit copy-pixels regreession
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-09 02:20 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-04-09 02:20:55 UTC
mesa: a873b79fa5e3138196a3c1785f2a65308fa78286 (master 10.6.0-devel)

$ ./bin/copy-pixels -auto
Probe stencil at (12, 12)
  Expected: 2
  Observed: 0
PIGLIT: {"result": "fail" }

61393bdcdc3b63624bf6e9730444f5e9deeedfc8 is the first bad commit
commit 61393bdcdc3b63624bf6e9730444f5e9deeedfc8
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 7 09:52:41 2015 +1000

    u_tile: fix stencil texturing tests under softpipe
    
    arb_stencil_texturing-draw failed under softpipe because we got a float
    back from the texturing function, and then tried to U2F it, stencil
    texturing returns ints, so we should fix the tiling to retrieve
    the stencil values as integers not floats.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

:040000 040000 aad741af761764f93de05cb9a202b41a56c96645 55f28cb0eaf6c88a7f0e52e7baa67d221779a2ce M	src
bisect run success
Comment 1 Vinson Lee 2015-04-18 01:21:38 UTC
Other softpipe piglit regressions:

depthstencil-default_fb-drawpixels-24_8 
depthstencil-default_fb-drawpixels-float-and-ushort 
draw-pixels
fdo23670-drawpix_stencil
stencil-drawpixels
copy-pixels
fbo-depthstencil-gl_depth32f_stencil8-drawpixels-24_8
fbo-depthstencil-gl_depth32f_stencil8-drawpixels-float-and-ushort
fbo-stencil-gl_depth32f_stencil8-drawpixels
framebuffer-blit-levels draw stencil
framebuffer-blit-levels read stencil
accuracy all_samples stencil_resolve depthstencil
accuracy all_samples stencil_resolve small depthstencil
fbo-stencil-gl_stencil_index1-drawpixels
fbo-stencil-gl_stencil_index16-drawpixels
fbo-stencil-gl_stencil_index4-drawpixels
fbo-stencil-gl_stencil_index8-drawpixels
fbo-depthstencil-gl_depth24_stencil8-drawpixels-24_8
fbo-depthstencil-gl_depth24_stencil8-drawpixels-float-and-ushort
fbo-stencil-gl_depth24_stencil8-blit
fbo-stencil-gl_depth24_stencil8-drawpixels
readdrawpixels
Comment 2 Juan A. Suarez 2016-03-04 13:02:17 UTC
copy-pixels test works in master (11.2-branchpoint-233-g9ec2467).

Fixed in:

commit 8a41cd2407c1d219cba98add69609ce3a65b5435
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Apr 22 17:13:06 2015 +1000

    softpipe: fix stencil write to use an integer value
    
    This fixes a number of regressions since
    61393bdcdc3b63624bf6e9730444f5e9deeedfc8
    u_tile: fix stencil texturing tests under softpipe
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=89960
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Roland Scheidegger <sroland@vmware.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

:040000 040000 c98019756adb79e5dd7b8b6f718cc61036c3a502 3a62a6bff9e5ea0584b4d93d0e1d81defa05cc6a M	src


Other tests that also work in master are:
draw-pixels
fdo23670-drawpix_stencil
stencil-drawpixels
framebuffer-blit-levels draw stencil
framebuffer-blit-levels read stencil


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.